net.corda.core.messaging

## Class TopicStringValidator

- net.corda.core.messaging.TopicStringValidator

-     public class TopicStringValidator

  A singleton that's useful for validating topic strings

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TopicStringValidator` | `INSTANCE` A singleton that's useful for validating topic strings

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check(java.lang.String tag)`

- - ### Field Detail

    - #### INSTANCE

          public static TopicStringValidator INSTANCE

      A singleton that's useful for validating topic strings

  - ### Method Detail

    - #### check

          public void check(java.lang.String tag)

      Throws:
        - if the given topic contains invalid characters